com.streambase.sb

## Enum SchemaUtil.CopyOptions

- java.lang.Object
- - java.lang.Enum<SchemaUtil.CopyOptions>
  - - com.streambase.sb.SchemaUtil.CopyOptions

- All Implemented Interfaces:
    Serializable, Comparable<SchemaUtil.CopyOptions>
  Enclosing class:
    SchemaUtil

      public static enum SchemaUtil.CopyOptions
      extends Enum<SchemaUtil.CopyOptions>

  Options used when copying Schemas

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCE_NAMES`
    `INCLUDE_DESCRIPTION`
    `INCLUDE_NAME`
    `INCLUDE_PARENTAGE`
    `INCLUDE_UUID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaUtil.CopyOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaUtil.CopyOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INCLUDE_UUID

          public static final SchemaUtil.CopyOptions INCLUDE_UUID

    - #### INCLUDE_NAME

          public static final SchemaUtil.CopyOptions INCLUDE_NAME

    - #### INCLUDE_DESCRIPTION

          public static final SchemaUtil.CopyOptions INCLUDE_DESCRIPTION

    - #### INCLUDE_PARENTAGE

          public static final SchemaUtil.CopyOptions INCLUDE_PARENTAGE

    - #### FORCE_NAMES

          public static final SchemaUtil.CopyOptions FORCE_NAMES

  - ### Method Detail

    - #### values

          public static SchemaUtil.CopyOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaUtil.CopyOptions c : SchemaUtil.CopyOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaUtil.CopyOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.